Loading...
Searching...
No Matches
mongocxx::v_noabi::events::server_closed_event Class Reference

`#include <mongocxx/v_noabi/mongocxx/events/server_closed_event.hpp>`

## Description

The closing of a connection to a shutdown MongoDB server.

The server is removed from the topology description and no longer monitored.

See also
  - SDAM Logging and Monitoring Specification (MongoDB Specifications)

## Public Member Functions

| server_closed_event (v1::events::server_closed const &event)
| Construct with the mongocxx::v1 equivalent.
| server_closed_event (void const *event)
bsoncxx::v_noabi::stdx::string_view | host () const
| Returns the server host name.
| operator v1::events::server_closed () const
| Convert to the mongocxx::v1 equivalent.
std::uint16_t | port () const
| Returns the server port.
bsoncxx::v_noabi::oid const | topology_id () const
| An opaque id, unique to this topology for this mongocxx::v_noabi::client or mongocxx::v_noabi::pool.

## Constructor & Destructor Documentation

## server_closed_event() [1/2]

mongocxx::v_noabi::events::server_closed_event::server_closed_event | ( | void const * | event | ) |

explicit

Deprecated
  For internal use only.

## server_closed_event() [2/2]

mongocxx::v_noabi::events::server_closed_event::server_closed_event | ( | v1::events::server_closed const & | event | ) |

inline

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## host()

bsoncxx::v_noabi::stdx::string_view mongocxx::v_noabi::events::server_closed_event::host | ( |  | ) | const

inline

Returns the server host name.

Returns
  The host name.

## operator v1::events::server_closed()

mongocxx::v_noabi::events::server_closed_event::operator v1::events::server_closed | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## port()

std::uint16_t mongocxx::v_noabi::events::server_closed_event::port | ( |  | ) | const

inline

Returns the server port.

Returns
  The port.

## topology_id()

bsoncxx::v_noabi::oid const mongocxx::v_noabi::events::server_closed_event::topology_id | ( |  | ) | const

inline

An opaque id, unique to this topology for this mongocxx::v_noabi::client or mongocxx::v_noabi::pool.

Returns
  The id.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/events/server_closed_event.hpp